### Method

# EDataCal CalCache get_offline_state

since: 3.34

#### Declaration [src]

    EOfflineState
    e_cal_cache_get_offline_state (
      ECalCache* cal_cache,
      const gchar* uid,
      const gchar* rid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

This is a wrapper of e_cache_get_offline_state(), ensuring that a correct `ECache` UID will be used.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  A UID of the component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  An optional Recurrence-ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EOfflineState`

Current offline state `EOfflineState` for the given component. It returns `E_OFFLINE_STATE_UNKNOWN` when the component could not be found or other error happened.